# GimpUi.PageSelector

    const GimpUi = imports.gi.GimpUi;

    let pageSelector = new GimpUi.PageSelector({
    });

Use this for example for specifying what pages to import from a PDF or PS document.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.PageSelector

## Constructors

- GimpUi.PageSelector.new

## Methods

- GimpUi.PageSelector.prototype.get_n_pages
- GimpUi.PageSelector.prototype.get_page_label
- GimpUi.PageSelector.prototype.get_page_thumbnail
- GimpUi.PageSelector.prototype.get_selected_pages
- GimpUi.PageSelector.prototype.get_selected_range
- GimpUi.PageSelector.prototype.get_target
- GimpUi.PageSelector.prototype.page_is_selected
- GimpUi.PageSelector.prototype.select_all
- GimpUi.PageSelector.prototype.select_page
- GimpUi.PageSelector.prototype.select_range
- GimpUi.PageSelector.prototype.set_n_pages
- GimpUi.PageSelector.prototype.set_page_label
- GimpUi.PageSelector.prototype.set_page_thumbnail
- GimpUi.PageSelector.prototype.set_target
- GimpUi.PageSelector.prototype.unselect_all
- GimpUi.PageSelector.prototype.unselect_page

## Properties

- n-pages
- target

## Signals

- activate
- selection-changed